ros-rolling-ament-clang-format (0.20.4-1noble) noble; urgency=high

  * [ament_mypy] Fix config for ament_cmake packages and type entrypoints (#574 <https://github.com/ament/ament_lint/issues/574>)
  * Drop setuptools from install_requires (#566 <https://github.com/ament/ament_lint/issues/566>)
  * Contributors: Jochen Sprickerhof, Michael Carlstrom

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 07 Apr 2026 22:00:00 -0000

ros-rolling-ament-clang-format (0.20.3-1noble) noble; urgency=high

  * Export typing information for ament linters (#553 <https://github.com/ament/ament_lint/issues/553>)
  * Contributors: Michael Carlstrom

 -- Chris Lalancette <clalancette@gmail.com>  Sun, 23 Nov 2025 23:00:00 -0000

ros-rolling-ament-clang-format (0.20.2-1noble) noble; urgency=high

  * fix setuptools deprecations (#547 <https://github.com/ament/ament_lint/issues/547>)
  * Contributors: mosfet80

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 29 Jul 2025 22:00:00 -0000

ros-rolling-ament-clang-format (0.20.1-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 18 Jun 2025 22:00:00 -0000

ros-rolling-ament-clang-format (0.20.0-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 23 Apr 2025 22:00:00 -0000

ros-rolling-ament-clang-format (0.19.2-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 16 Apr 2025 22:00:00 -0000

ros-rolling-ament-clang-format (0.19.1-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Sat, 01 Feb 2025 23:00:00 -0000

ros-rolling-ament-clang-format (0.19.0-1noble) noble; urgency=high

  * Add ament_xmllint testing for all packages that we can. (#508 <https://github.com/ament/ament_lint/issues/508>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 19 Nov 2024 23:00:00 -0000

ros-rolling-ament-clang-format (0.18.1-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Sun, 16 Jun 2024 22:00:00 -0000

ros-rolling-ament-clang-format (0.18.0-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 25 Apr 2024 22:00:00 -0000

ros-rolling-ament-clang-format (0.17.0-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 15 Apr 2024 22:00:00 -0000

ros-rolling-ament-clang-format (0.16.4-1noble) noble; urgency=high

  * Update maintainer list in package.xml files (#474 <https://github.com/ament/ament_lint/issues/474>)
  * Contributors: Michael Jeronimo

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 27 Mar 2024 23:00:00 -0000

ros-rolling-ament-clang-format (0.16.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 06 Feb 2024 23:00:00 -0000

ros-rolling-ament-clang-format (0.16.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 25 Dec 2023 23:00:00 -0000

ros-rolling-ament-clang-format (0.16.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 05 Nov 2023 23:00:00 -0000

ros-rolling-ament-clang-format (0.16.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 03 Oct 2023 22:00:00 -0000

ros-rolling-ament-clang-format (0.15.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 10 Jul 2023 22:00:00 -0000

ros-rolling-ament-clang-format (0.15.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 06 Jun 2023 22:00:00 -0000

ros-rolling-ament-clang-format (0.15.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 26 Apr 2023 22:00:00 -0000

ros-rolling-ament-clang-format (0.14.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 10 Apr 2023 22:00:00 -0000

ros-rolling-ament-clang-format (0.14.0-1noble) noble; urgency=high

  * ament_clang_format: use open braces for enum definitions (#426 <https://github.com/ament/ament_lint/issues/426>)
  * [rolling] Update maintainers - 2022-11-07 (#421 <https://github.com/ament/ament_lint/issues/421>)
  * Contributors: Audrow Nash, james-rms

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 13 Feb 2023 23:00:00 -0000

ros-rolling-ament-clang-format (0.13.2-1noble) noble; urgency=high

  * Update maintainers (#379 <https://github.com/ament/ament_lint/issues/379>)
  * Contributors: methylDragon

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 12 Sep 2022 22:00:00 -0000

ros-rolling-ament-clang-format (0.13.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 08 May 2022 22:00:00 -0000

ros-rolling-ament-clang-format (0.13.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 28 Apr 2022 22:00:00 -0000

ros-rolling-ament-clang-format (0.12.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 07 Apr 2022 22:00:00 -0000

ros-rolling-ament-clang-format (0.12.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 27 Mar 2022 22:00:00 -0000

ros-rolling-ament-clang-format (0.12.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-rolling-ament-clang-format (0.12.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Feb 2022 23:00:00 -0000

ros-rolling-ament-clang-format (0.11.4-1noble) noble; urgency=high

  * Update forthcoming version in changelogs
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-rolling-ament-clang-format (0.11.3-1noble) noble; urgency=high

  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#340 <https://github.com/ament/ament_lint/issues/340>)
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-rolling-ament-clang-format (0.11.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Jun 2021 22:00:00 -0000

ros-rolling-ament-clang-format (0.11.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Jun 2021 22:00:00 -0000

ros-rolling-ament-clang-format (0.11.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Jun 2021 22:00:00 -0000

ros-rolling-ament-clang-format (0.10.6-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 05 May 2021 22:00:00 -0000

ros-rolling-ament-clang-format (0.10.5-1noble) noble; urgency=high

  * Remove Claire as a maintainer. (#312 <https://github.com/ament/ament_lint/issues/312>)
    * Remove Claire as a maintainer.
    * Remove dead email addresses.
    * Remove more dead email addresses.
    * Switch setup.py maintainer to Audrow.
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 13 Apr 2021 22:00:00 -0000

ros-rolling-ament-clang-format (0.10.4-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 17 Mar 2021 23:00:00 -0000

ros-rolling-ament-clang-format (0.10.3-1noble) noble; urgency=high

  * 0.10.3
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 02 Mar 2021 23:00:00 -0000

ros-rolling-ament-clang-format (0.10.2-1noble) noble; urgency=high

  * Add Audrow as a maintainer (#294 <https://github.com/ament/ament_lint/issues/294>)
  * Drop trailing tab from package manifests (#291 <https://github.com/ament/ament_lint/issues/291>)
    Follow-up to 8bf194aa1ac282db5483dd0d3fefff8f325b0db8
  * Contributors: Audrow Nash, Scott K Logan

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 11 Feb 2021 23:00:00 -0000

ros-rolling-ament-clang-format (0.10.1-1noble) noble; urgency=high

  * Add clang-format-version option to ament_clang_format (#282 <https://github.com/ament/ament_lint/issues/282>)
  * Update maintainer (#274 <https://github.com/ament/ament_lint/issues/274>)
    * update maintainer
    * add authors
  * Contributors: Claire Wang, Tyler Weaver

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 24 Jan 2021 23:00:00 -0000

ros-rolling-ament-clang-format (0.10.0-1noble) noble; urgency=high

  * Add pytest.ini so local tests don't display warning. (#259 <https://github.com/ament/ament_lint/issues/259>)
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Sep 2020 22:00:00 -0000

ros-rolling-ament-clang-format (0.9.4-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 25 May 2020 22:00:00 -0000

ros-rolling-ament-clang-format (0.9.3-1noble) noble; urgency=high

  * Fix new flake8 errors. (#244 <https://github.com/ament/ament_lint/issues/244>)
  * Contributors: Michel Hidalgo

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 17 May 2020 22:00:00 -0000

ros-rolling-ament-clang-format (0.9.2-1noble) noble; urgency=high

  * Allow AMENT_IGNORE markers to be directories (#232 <https://github.com/ament/ament_lint/issues/232>)
  * Contributors: Dan Rose

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 07 May 2020 22:00:00 -0000

ros-rolling-ament-clang-format (0.9.1-1noble) noble; urgency=high

  * 0.9.0
  * more verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Generate xunit files valid for the junit10.xsd (#220 <https://github.com/ament/ament_lint/issues/220>)
  * remove status attribute from result XML (#212 <https://github.com/ament/ament_lint/issues/212>)
  * Contributors: Chris Lalancette, Dirk Thomas, Jose Luis Rivero

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 09 Apr 2020 22:00:00 -0000

ros-rolling-ament-clang-format (0.8.1-1noble) noble; urgency=high

  * install resource marker file for packages (#193 <https://github.com/ament/ament_lint/issues/193>)
  * Contributors: Dirk Thomas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 22 Oct 2019 22:00:00 -0000

ros-rolling-ament-clang-format (0.8.0-1noble) noble; urgency=high

  * install manifest files in Python packages (#185 <https://github.com/ament/ament_lint/issues/185>)
  * Convert list comprehension to generator (#179 <https://github.com/ament/ament_lint/issues/179>)
    Addresses flake8 C412 errors introduced by flake8-comprehension 2.2.0
  * Bring clang-format in line with developer guide (#147 <https://github.com/ament/ament_lint/issues/147>)
    * Bring clang-format in line with developer guide
    https://index.ros.org/doc/ros2/Contributing/Developer-Guide/#id26
    * Fix brace wrapping
    * Fix indent for initializer continuation
    * Minor changes to clang-format
    * Alphabetize options
  * Contributors: Dan Rose, Dirk Thomas, Scott K Logan

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 16 Sep 2019 22:00:00 -0000

ros-rolling-ament-clang-format (0.7.4-1noble) noble; urgency=high

  * Add python3-yaml depends to ament_clang_tidy/format (#166 <https://github.com/ament/ament_lint/issues/166>)
    depend -> exec_depend
    Remove whitespace
  * Add missing pyyaml dependency (#150 <https://github.com/ament/ament_lint/issues/150>)
  * Contributors: Dan Rose, John

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 30 Jul 2019 22:00:00 -0000

ros-rolling-ament-clang-format (0.7.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 09 May 2019 12:08:00 -0000

ros-rolling-ament-clang-format (0.7.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 09 May 2019 07:30:00 -0000

ros-rolling-ament-clang-format (0.7.1-1noble) noble; urgency=high

  * update phrase of status messages (#137 <https://github.com/ament/ament_lint/issues/137>)
  * Contributors: Dirk Thomas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 06 May 2019 22:00:00 -0000

ros-rolling-ament-clang-format (0.7.0-1noble) noble; urgency=high

  * use safe_load instead of deprecated load (#135 <https://github.com/ament/ament_lint/issues/135>)
  * Contributors: Mikael Arguedas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 10 Apr 2019 22:00:00 -0000

ros-rolling-ament-clang-format (0.6.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sun, 13 Jan 2019 23:00:00 -0000

ros-rolling-ament-clang-format (0.6.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 05 Dec 2018 23:00:00 -0000

ros-rolling-ament-clang-format (0.6.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 14 Nov 2018 23:00:00 -0000

ros-rolling-ament-clang-format (0.6.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 13 Nov 2018 23:00:00 -0000

ros-rolling-ament-clang-format (0.5.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 26 Jun 2018 22:00:00 -0000

ros-rolling-ament-clang-format (0.5.1-1noble) noble; urgency=high

  * level setup.py versions to 0.5.1
  * Contributors: Mikael Arguedas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 18 Jun 2018 11:47:00 -0000

ros-rolling-ament-clang-format (0.5.0-1noble) noble; urgency=high

  * add pytest markers to linter tests
  * set zip_safe to avoid warning during installation (#96 <https://github.com/ament/ament_lint/issues/96>)
  * Contributors: Dirk Thomas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 18 Jun 2018 08:09:00 -0000

ros-rolling-ament-clang-format (0.4.0-1noble) noble; urgency=high

  * remove test_suite, add pytest as test_requires
  * 0.0.3
  * Merge pull request #84 <https://github.com/ament/ament_lint/issues/84> from ament/flake8_plugins
    update style to satisfy new flake8 plugins
  * update style to satisfy new flake8 plugins
  * Merge pull request #81 <https://github.com/ament/ament_lint/issues/81> from ament/ignore_build_spaces
    ignore folders with an AMENT_IGNORE file, e.g. build spaces
  * ignore folders with an AMENT_IGNORE file, e.g. build spaces
  * 0.0.2
  * Merge pull request #78 <https://github.com/ament/ament_lint/issues/78> from ament/use_flake8
    use flake8 instead of pep8 and pyflakes
  * fix style warnings
  * use flake8 instead of pep8 and pyflakes
  * remove __future__ imports
  * update schema url
  * add schema to manifest files
  * Merge pull request #55 <https://github.com/ament/ament_lint/issues/55> from ament/ament_clang_format
    update clang format
  * add clang-format binary name for OS X
  * use config file for clang_format (currently google style)
  * update ament_(cmake_)clang_format
  * split ament_clang_format into Python and CMake package, plain move / copy without changes
  * Merge pull request #50 <https://github.com/ament/ament_lint/issues/50> from ament/ctest_build_testing
    use CTest BUILD_TESTING
  * use CTest BUILD_TESTING
  * Merge pull request #42 <https://github.com/ament/ament_lint/issues/42> from ament/remove_second_extension
    remove result type extension from testsuite name
  * remove result type extension from testsuite name
  * Merge pull request #41 <https://github.com/ament/ament_lint/issues/41> from ament/use_message_status
    avoid using message without STATUS
  * avoid using message without STATUS
  * Merge pull request #30 <https://github.com/ament/ament_lint/issues/30> from ament/test_labels
    add labels to tests
  * add labels to tests
  * Merge pull request #29 <https://github.com/ament/ament_lint/issues/29> from ament/change_test_dependencies
    update documentation for linters
  * update documentation for linters
  * Merge pull request #27 <https://github.com/ament/ament_lint/issues/27> from ament/gtest_location
    add type as extension to test result files
  * add type as extension to test result files
  * add explicit build type
  * apply normpath to prevent './' prefix (fix #24 <https://github.com/ament/ament_lint/issues/24>)
  * improve error messages
  * Merge pull request #19 <https://github.com/ament/ament_lint/issues/19> from ament/split_linter_packages_in_python_and_cmake
    split linter packages in python and cmake
  * move cmake part of ament_pyflakes to ament_cmake_pyflakes
  * move cmake part of ament_pep8 to ament_cmake_pep8
  * move cmake part of ament_lint_cmake to ament_cmake_lint_cmake
  * disable debug output
  * add trailing newline to generated test result files
  * add missing copyright / license information
  * Merge pull request #14 <https://github.com/ament/ament_lint/issues/14> from ament/test_runner_windows
    change test runner to work on windows
  * change test runner to work on windows
  * Merge pull request #9 <https://github.com/ament/ament_lint/issues/9> from ament/docs
    add docs for linters
  * add docs for linters
  * modify generated unit test files for a better hierarchy in Jenkins
  * improve information in clang_format test result files
  * fix copy-n-pasted license names
  * make testname argument optional for all linters
  * use other linters for the linter packages where possible
  * Merge pull request #2 <https://github.com/ament/ament_lint/issues/2> from ament/ament_lint_auto
    allow linting based on test dependencies only
  * add ament_lint_auto and ament_lint_common, update all linter packages to implement extension point of ament_lint_auto
  * improve clang-format output, convert absolute offset to line number and offset-in-line, also show line before and after modification
  * use project(.. NONE)
  * update to latest refactoring of ament_cmake
  * add dependency on ament_cmake_environment
  * add ament_clang_format
  * Contributors: Dirk Thomas

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 07 Dec 2017 23:00:00 -0000


